<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for searches in search package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  searches module in search package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Searches',
    'names'         => 'Searches',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Searches',
        'sub'   => 'Searches',
        'list'  => 'List of searches',
        'edit'  => 'Edit searches',
        'create'    => 'Create new searches'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'module'                     => 'Please enter module',
        'search'                     => 'Please enter search',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'module'                     => 'Module',
        'search'                     => 'Search',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'module'                     => ['name' => 'Module', 'data-column' => 1, 'checked'],
        'search'                     => ['name' => 'Search', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Searches',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
