<?php

namespace Bixo\Search\Repositories\Eloquent;

use Bixo\Search\Interfaces\SearchesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SearchesRepository extends BaseRepository implements SearchesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.search.searches.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.search.searches.model.model');
    }
}
